Bug 157540 - [patch] make dmidecode an optional dependency for sysutils/flashrom
[patch] make dmidecode an optional dependency for sysutils/flashrom
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: avl
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-02 20:40 UTC by markjdb
Modified: 2011-06-27 06:50 UTC (History)
0 users

See Also:


Attachments
file.diff (792 bytes, patch)
2011-06-02 20:40 UTC, markjdb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description markjdb 2011-06-02 20:40:09 UTC
flashrom will make use of dmidecode to gather DMI info if it is present. However, it is not required in order to use flashrom, and flashrom will continue if it can't find dmidecode on the system.

Fix: I've been using flashrom-0.9.3 without dmidecode on a test machine. I attached a patch which adds an option (default yes) to install dmidecode as a dependency.

Patch attached with submission follows:
Comment 1 markjdb 2011-06-02 21:15:32 UTC
My apologies, I mean to file this under ports, not misc. I can
resubmit it if I have to.

-- 
Mark Johnston
markjdb@gmail.com
Comment 2 Mark Linimon freebsd_committer 2011-06-03 05:22:54 UTC
Responsible Changed
From-To: freebsd-bugs->avl

Make this a ports PR and assign.
Comment 3 dfilter freebsd_committer 2011-06-27 06:42:48 UTC
avl         2011-06-27 05:42:34 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/flashrom    Makefile 
  Log:
  - Make dmidecode an optional dependency
  
  PR:             ports/157540
  Submitted by:   Mark Johnston <markjdb at gmail.com>
  
  Revision  Changes    Path
  1.9       +7 -2      ports/sysutils/flashrom/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 avl freebsd_committer 2011-06-27 06:44:22 UTC
State Changed
From-To: open->closed

Committed. Thanks!